import React from 'react';
import {
    StyleSheet,
    Dimensions,
} from 'react-native';
const {height, width} = Dimensions.get('window');
export const screenWidth = width;
export const screenHeight = height;
const _baseWidth = 375;
const _baseHeight = 750;
//获取缩放比例
const scaleH = screenHeight / _baseHeight;
const scaleW = screenWidth / _baseWidth;
//单位px
export function scaleHeight(size) {
    size = size * scaleH;
    return size;
}
export function scaleWidth(size) {
    size = size * scaleW;
    return size;
}
export function scaleFont(size) {
    size = size * scaleW;
    return size;
}
export default class CusStyleSheet {
    static create(styles) {
        Object.keys(styles).forEach(className => {
            Object.keys(styles[className]).forEach(attrName => {
                if (this.HaveHeight(attrName)) {
                    styles[className][attrName] = scaleHeight(styles[className][attrName]);
                }
                if (this.HaveWidth(attrName)) {
                    styles[className][attrName] = scaleWidth(styles[className][attrName]);
                }
                if (this.HaveFont(attrName)) {
                    styles[className][attrName] = scaleFont(styles[className][attrName]);
                }
            })
        });

        return StyleSheet.create(styles);
    }

    static HaveFont(Name) {
        return this.isExist(fontArry, Name);
    }

    static HaveHeight(Name) {
        return this.isExist(heigtArry, Name);
    }

    static HaveWidth(Name) {
        return this.isExist(widthArry, Name);
    }

    static isExist(Array, attrName) {
        const index = Array.findIndex((value) => {
            return value === attrName;
        });
        return index !== -1;
    }
}
const heigtArry = [
    'height',
    'marginTop',
    'marginBottom',
    'paddingTop',
    'paddingBottom',

];
const fontArry = ['fontSize'];
const widthArry = [
    'width',
    'marginLeft',
    'marginRight',
    'paddingLeft',
    'paddingRight',

];