import React from 'react';
import {
    Dimensions,
} from 'react-native';
import CusStyleSheet from '../../CusStyleSheet'
const {width} = Dimensions.get('window');
export default CusStyleSheet.create({
    header: {
        width,
        height: 80,
        alignItems: 'center',
        justifyContent: 'center'
    },
    status: {
        flexDirection: 'row',
        alignItems: 'center'
    },
    arrow: {
        width: 23,
        height: 23,
        marginRight: 10,
        opacity: 0.4
    },
    statusTitle: {
        fontSize: 13,
        color: '#333333'
    },
    date: {
        fontSize: 11,
        color: '#333333',
        marginTop: 5
    }
})
