import React from 'react';
import {
    Dimensions,
} from 'react-native';
import CusStyleSheet from '../CusStyleSheet'
const {width, height} = Dimensions.get('window');
export default CusStyleSheet.create({
    apiNetView: {
        width,
        height,
        justifyContent: 'center',
        alignItems: 'center'
    },
    paginationView: {
        flex: 1,
        height: 50,
        flexDirection: 'row',
        justifyContent: 'center',
        alignItems: 'center'
    },
    paginationViewText: {
        marginLeft:5,
        fontSize: 19
    },
    paginationViewSpinner: {
        marginRight: 5
    },
    allLoadedText: {
        alignSelf: 'center',
        color: '#bfbfbf'
    }
})
